Get compact AI context for one golf club
GET
/v1/ai/context/clubs/{slug}Returns token-efficient, language-neutral club data. Null values explicitly mean that the information is unknown.
Tags: ai
Authentication
Send the API key as a Bearer token in the Authorization header.
Parameters
| Parameter | In | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
slug | path | string | Yes | min length: 1; max length: 200 |
Example request
curl --request GET \
--url 'https://api.eae.golf/v1/ai/context/clubs/green-eagle-golf-courses' \
--header 'Authorization: Bearer YOUR_API_KEY'
Responses
200 · Default Response
application/json
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
data | object<string, any> | Yes | ||
meta | object | Yes | ||
meta.apiVersion | string | Yes | allowed: v1 | |
meta.plan | string | Yes | allowed: fairway, tour | |
meta.accessStatus | string | Yes | allowed: trial, active, suspended | |
meta.dataAccess | string | Yes | allowed: core, extended | |
meta.trialEndsAt | `string | null` | Yes | |
meta.catalogue | `object | object` | Yes |
Example
{
"data": {},
"meta": {
"apiVersion": "v1",
"plan": "fairway",
"accessStatus": "trial",
"dataAccess": "core",
"trialEndsAt": "2026-08-20T12:00:00Z",
"catalogue": {
"mode": "full"
}
}
}
401 · Default Response
application/json
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
statusCode | integer | Yes | ||
error | string | Yes | ||
code | string | No | ||
message | string | Yes | ||
requestId | string | Yes |
Example
{
"statusCode": 0,
"error": "string",
"code": "trial_expired",
"message": "string",
"requestId": "req-7f3a2c"
}
404 · Default Response
application/json
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
statusCode | integer | Yes | ||
error | string | Yes | ||
code | string | No | ||
message | string | Yes | ||
requestId | string | Yes |
Example
{
"statusCode": 0,
"error": "string",
"code": "trial_expired",
"message": "string",
"requestId": "req-7f3a2c"
}
429 · Default Response
application/json
| Field | Type | Required | Description | Constraints |
|---|---|---|---|---|
statusCode | integer | Yes | ||
error | string | Yes | ||
code | string | No | ||
message | string | Yes | ||
requestId | string | Yes |
Example
{
"statusCode": 0,
"error": "string",
"code": "trial_expired",
"message": "string",
"requestId": "req-7f3a2c"
}